summaryrefslogtreecommitdiffstats
path: root/libraries/geos
diff options
context:
space:
mode:
author Kyle Guinn2010-05-11 22:54:00 +0200
committer David Somero2010-05-11 22:54:00 +0200
commit1619050da05ce00c60b083607d432df20e674777 (patch)
tree5e5e46855fbf0e8fe10e2b3a80e3a3e3f1a0de88 /libraries/geos
parent639173ecaded835479b8b62c33a8a0976b6b41d8 (diff)
downloadslackbuilds-1619050da05ce00c60b083607d432df20e674777.tar.gz
libraries/geos: Added to 12.1 repository
Diffstat (limited to 'libraries/geos')
-rw-r--r--libraries/geos/README7
-rw-r--r--libraries/geos/geos.SlackBuild68
-rw-r--r--libraries/geos/geos.info8
-rw-r--r--libraries/geos/slack-desc19
4 files changed, 102 insertions, 0 deletions
diff --git a/libraries/geos/README b/libraries/geos/README
new file mode 100644
index 0000000000..f74c050789
--- /dev/null
+++ b/libraries/geos/README
@@ -0,0 +1,7 @@
+GEOS (Geometry Engine - Open Source) is a C++ port of the Java Topology
+Suite (JTS). As such, it aims to contain the complete functionality
+of JTS in C++. This includes all the OpenGIS "Simple Features for SQL"
+spatial predicate functions and spatial operators, as well as specific
+JTS enhanced topology functions.
+
+Dependencies: swig available at SlackBuilds.org
diff --git a/libraries/geos/geos.SlackBuild b/libraries/geos/geos.SlackBuild
new file mode 100644
index 0000000000..dd07ee6d86
--- /dev/null
+++ b/libraries/geos/geos.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for geos
+# Written by Kyle Guinn <elyk03@gmail.com>
+
+PRGNAM=geos
+VERSION=${VERSION:-3.0.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM-$VERSION
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared \
+ --disable-static \
+ --enable-python \
+ --enable-ruby \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/geos/geos.info b/libraries/geos/geos.info
new file mode 100644
index 0000000000..43ba17d9eb
--- /dev/null
+++ b/libraries/geos/geos.info
@@ -0,0 +1,8 @@
+PRGNAM="geos"
+VERSION="3.0.0"
+HOMEPAGE="http://trac.osgeo.org/geos/"
+DOWNLOAD="http://geos.refractions.net/downloads/geos-3.0.0.tar.bz2"
+MD5SUM="3f7940abee9fec69a9787878cd3ae771"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/libraries/geos/slack-desc b/libraries/geos/slack-desc
new file mode 100644
index 0000000000..07dfb3f85a
--- /dev/null
+++ b/libraries/geos/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+geos: GEOS (Geometry Engine)
+geos:
+geos: GEOS (Geometry Engine - Open Source) is a C++ port of the Java
+geos: Topology Suite (JTS). As such, it aims to contain the complete
+geos: functionality of JTS in C++. This includes all the OpenGIS
+geos: "Simple Features for SQL" spatial predicate functions and spatial
+geos: operators, as well as specific JTS enhanced topology functions.
+geos:
+geos:
+geos:
+geos: